/*
 * This file is a part of KEMET project (Library).
 * 
 * Copyright (C) 2008 MAUPIN Fabrice
 *
 * This library is free software; 
 * you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; 
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this library; 
 * if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
 */
package org.kemet.tests.basic;

import java.util.Locale;

import junit.framework.TestCase;

import org.apache.log4j.Logger;
import org.junit.Test;
import org.kemet.impl.grammar.toolbox.XMLQuery;

/**
 * 
 * 
 * @author fabricemaupin
 * 
 * <p>
 * <b>Others Tests.</b>
 * </p>
 * 
 * @since 0.1
 */
public class TestOthers extends TestCase {
	static Logger log = Logger.getLogger("org.kemet.tests");

	/**
	 * <p>
	 * <b>XLMQuery tests.</b>
	 * </p>
	 * 
	 * @since 0.1
	 */
	@Test
	public void testXMLQuery() {
		// if empty
		try {
			new XMLQuery("");
			assertTrue(false);
		} catch (Exception e) {
			assertTrue(true);
		}
	}

	/**
	 * <p>
	 * <b>tests for bad messages.</b>
	 * </p>
	 * 
	 * @since 0.1
	 */
	@Test
	public void testBadMessages() {
		// invalid key message
		assertEquals(org.kemet.impl.grammar.Messages.getString("bidon"),
				"!bidon!");
		org.kemet.impl.grammar.Messages.setRESOURCE_BUNDLE(Locale.getDefault());

		assertEquals(org.kemet.orm.Messages.getString("bidon"), "!bidon!");
		org.kemet.orm.Messages.setRESOURCE_BUNDLE(Locale.getDefault());

		assertEquals(org.kemet.message.Messages.getString("bidon"), "!bidon!");
		org.kemet.message.Messages.setRESOURCE_BUNDLE(Locale.getDefault());
	}
}
